FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202009161248.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202009161248.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=2251f7e2fc9194aa3a57cd9dc1de4a71e9367df5 KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=14+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.14.3+2251f7e OS_GIT_COMMIT=2251f7e OS_GIT_VERSION=4.5.0-202009161248.p0-2251f7e SOURCE_DATE_EPOCH=1586883257 SOURCE_GIT_COMMIT=2251f7e2fc9194aa3a57cd9dc1de4a71e9367df5 SOURCE_GIT_TAG=v0.2.0-11-g2251f7e SOURCE_GIT_URL=https://github.com/openshift/aws-pod-identity-webhook 
WORKDIR /go/src/github.com/aws/amazon-eks-pod-identity-webhook
COPY . .
ENV GO_PACKAGE github.com/aws/amazon-eks-pod-identity-webhook
RUN make amazon-eks-pod-identity-webhook

FROM openshift/ose-base:v4.5.0.20200916.131602
ENV __doozer=update BUILD_RELEASE=202009161248.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202009161248.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=2251f7e2fc9194aa3a57cd9dc1de4a71e9367df5 KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=14+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.14.3+2251f7e OS_GIT_COMMIT=2251f7e OS_GIT_VERSION=4.5.0-202009161248.p0-2251f7e SOURCE_DATE_EPOCH=1586883257 SOURCE_GIT_COMMIT=2251f7e2fc9194aa3a57cd9dc1de4a71e9367df5 SOURCE_GIT_TAG=v0.2.0-11-g2251f7e SOURCE_GIT_URL=https://github.com/openshift/aws-pod-identity-webhook 
COPY --from=builder /go/src/github.com/aws/amazon-eks-pod-identity-webhook/amazon-eks-pod-identity-webhook /usr/bin/aws-pod-identity-webhook

LABEL \
        name="openshift/ose-aws-pod-identity-webhook" \
        com.redhat.component="ose-aws-pod-identity-webhook-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Cloud Credential Operator" \
        release="202009161248.p0" \
        io.openshift.build.commit.id="2251f7e2fc9194aa3a57cd9dc1de4a71e9367df5" \
        io.openshift.build.source-location="https://github.com/openshift/aws-pod-identity-webhook" \
        io.openshift.build.commit.url="https://github.com/openshift/aws-pod-identity-webhook/commit/2251f7e2fc9194aa3a57cd9dc1de4a71e9367df5" \
        version="v4.5.0"

